accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From els...@apache.org
Subject git commit: ACCUMULO-1828 Added a script to wrap the maven commands to make it a little easier to test specific integration tests
Date Tue, 29 Oct 2013 18:38:42 GMT
Updated Branches:
  refs/heads/master 135e67b68 -> 06cdeaec4


ACCUMULO-1828 Added a script to wrap the maven commands to make it a
little easier to test specific integration tests

There's no good way in Maven to run only certain integration tests while
ignoring unit tests. This script attempts to encapsulate some of that
"funnyness".


Project: http://git-wip-us.apache.org/repos/asf/accumulo/repo
Commit: http://git-wip-us.apache.org/repos/asf/accumulo/commit/06cdeaec
Tree: http://git-wip-us.apache.org/repos/asf/accumulo/tree/06cdeaec
Diff: http://git-wip-us.apache.org/repos/asf/accumulo/diff/06cdeaec

Branch: refs/heads/master
Commit: 06cdeaec4464f1c705f87e682f772d1fde07f3dd
Parents: 135e67b
Author: Josh Elser <elserj@apache.org>
Authored: Tue Oct 29 14:33:55 2013 -0400
Committer: Josh Elser <elserj@apache.org>
Committed: Tue Oct 29 14:33:55 2013 -0400

----------------------------------------------------------------------
 test/bin/run-test.sh | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/accumulo/blob/06cdeaec/test/bin/run-test.sh
----------------------------------------------------------------------
diff --git a/test/bin/run-test.sh b/test/bin/run-test.sh
new file mode 100755
index 0000000..c462f80
--- /dev/null
+++ b/test/bin/run-test.sh
@@ -0,0 +1,42 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
+if [ ! -n "$1" ]; then
+    echo "Usage: `basename $0` TestClass1[,TestClass2,TestClass3] ..."
+    echo "       `basename $0` \"Prefix*IT\" ..."
+    echo "       `basename $0` \"MyIT#method1+method2\" ..."
+    exit 1
+fi
+
+# Start: Resolve Script Directory
+SOURCE="${BASH_SOURCE[0]}"
+while [ -h "${SOURCE}" ]; do # resolve $SOURCE until the file is no longer a symlink
+   bin="$( cd -P "$( dirname "${SOURCE}" )" && pwd )"
+   SOURCE="$(readlink "${SOURCE}")"
+   [[ "${SOURCE}" != /* ]] && SOURCE="${bin}/${SOURCE}" # if $SOURCE was a relative
symlink, we need to resolve it relative to the path where the symlink file was located
+done
+bin="$( cd -P "$( dirname "${SOURCE}" )" && pwd )"
+# Stop: Resolve Script Directory
+
+cd $bin/..
+
+tests=$1
+shift
+
+# Let the user provide additional maven options (like -Daccumulo.it.forkCount=2)
+mvn verify -Dit.test=$tests -Dtest=testnamethatdoesntexist -DfailIfNoTests=false $@


Mime
View raw message